const lang = localStorage.getItem("lang") || "chinese_simplified";
translate.service.use("client.edge");
translate.selectLanguageTag.show = false;
$(".lang-menu [data-lang=" + lang + "]")
  .removeClass("lang-show")
  .siblings()
  .addClass("lang-show");
translate.language.translateLanguagesRange = ["chinese_simplified"];
translate.changeLanguage(lang);

$(".app-nav-toggle").on("click", function () {
  $("body").toggleClass("open-app-nav");
});
new Swiper("#topSwiper .swiper", {
  slidesPerView: "auto",
  autoplay: true,
  pagination: {
    el: ".swiper-pagination",
  },
  loop: true,
  on: {
    init: function (swiper) {
      //Swiper初始化了
      document.querySelector("#topSwiper").style.opacity = "1";
      document.querySelectorAll("#topSwiper .swiper-slide").forEach((item) => {
        item.style.opacity = "1";
        item.style.transform = "translateX(0px)";
      });
      this.emit("transitionEnd"); //在初始化时触发一次transitionEnd事件，需要先设置transitionEnd
    },
  },
});

new Swiper("#jiapianSwiper .swiper", {
  slidesPerView: "auto",
  slidesPerGroup: 8,
  grid: {
    fill: 'row',
    rows: 2,
  },
  pagination: {
    el: ".swiper-pagination",
  },
});

new Swiper("#newSwiper .swiper", {
  slidesPerGroup: 8,
  slidesPerView: "auto",
});

$(".lang-menu .item").on("click", function () {
  $(this).removeClass("lang-show").siblings().addClass("lang-show");
  translate.changeLanguage($(this).data("lang"));
  localStorage.setItem("lang", $(this).data("lang"));
});

let lastScrollTop = 0;
$(window).on("scroll", function (e) {
  var scrollTop = $(window).scrollTop();
  if (scrollTop > 100) {
    $(".go-top").fadeIn(300);
  } else {
    $(".go-top").fadeOut(300);
  }

  if (scrollTop > lastScrollTop) {
    $(".site-header").addClass("hide");
  } else {
    $(".site-header").removeClass("hide");
  }
  lastScrollTop = scrollTop;
});

$(".go-top").on("click", function () {
  // 动画回到顶部
  $("body,html").animate({ scrollTop: 0 }, 300);
});

$(".detail-more").click(function() {
    var targetOffset = $("#desc").offset().top;
    $('html, body').animate({
        scrollTop: targetOffset
    }, 800); 
});
$('.digg_link').click(function(event) {
    event.preventDefault(); 
});